import request from '@/utils/request'

// 查询物料管理列表
export function listSapMaterial(query) {
  return request({
    url: '/sapMaterial/sapMaterial/list',
    method: 'get',
    params: query
  })
}

// 查询物料管理详细
export function getSapMaterial(materialId) {
  return request({
    url: '/sapMaterial/sapMaterial/' + materialId,
    method: 'get'
  })
}

// 新增物料管理
export function addSapMaterial(data) {
  return request({
    url: '/sapMaterial/sapMaterial',
    method: 'post',
    data: data
  })
}

// 修改物料管理
export function updateSapMaterial(data) {
  return request({
    url: '/sapMaterial/sapMaterial',
    method: 'put',
    data: data
  })
}

// 删除物料管理
export function delSapMaterial(materialId) {
  return request({
    url: '/sapMaterial/sapMaterial/' + materialId,
    method: 'delete'
  })
}
